%global pypi_name sphinx-hoverxref

Name:           python-%{pypi_name}
Version:        1.0.1
Release:        %mkrel 3
Summary:        Sphinx extension to embed content in a tooltip on xref hover
Group:          Development/Python

License:        MIT
URL:            https://pypi.org/project/sphinx-hoverxref/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
sphinx-hoverxref is a Sphinx extension to add tooltips on the cross references
of the documentation with the content of the linked section.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
sphinx-hoverxref is a Sphinx extension to add tooltips on the cross references
of the documentation with the content of the linked section.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

# Drop bundled egg-info
rm -rf *.egg-info

%build
%py3_build

%install
%py3_install

rm -rf %{buildroot}%{python3_sitelib}/tests

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/hoverxref/
%{python3_sitelib}/sphinx_hoverxref-%{version}-py%{python3_version}.egg-info


%changelog
* Tue Dec 19 2023 papoteur <papoteur> 1.0.1-3.mga10
+ Revision: 2019480
- Mass Rebuild - Python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 1.0.1-2.mga9
+ Revision: 1824002
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 mrambo3501 <mrambo3501> 1.0.1-1.mga9
+ Revision: 1782433
- version 1.0.1
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.6b1-1.mga9
+ Revision: 1733701
- imported package python-sphinx-hoverxref

